Bug 1352547 - Missing pyxdg as Requires in libabigail-1.0-0.8.rc5.3.fc24
Summary: Missing pyxdg as Requires in libabigail-1.0-0.8.rc5.3.fc24
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libabigail
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sinny Kumari
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-04 10:08 UTC by Sinny Kumari
Modified: 2016-12-25 05:49 UTC (History)
4 users (show)

Fixed In Version: libabigail-1.0-0.8.rc6.4.fc23 libabigail-1.0-0.8.rc6.4.fc25 libabigail-1.0-0.8.rc6.4.fc24 libabigail-1.0-0.8.rc6.4.el6 libabigail-1.0-0.8.rc6.4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-19 01:25:24 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Add missing dependencies (782 bytes, patch)
2016-08-29 11:11 UTC, Dodji Seketeli
dodji: review+
Details | Diff

Description Sinny Kumari 2016-07-04 10:08:19 UTC
Description of problem:
Installing NVR libabigail-1.0-0.8.rc5.3.fc24 works fine. Later on, running  command "fedabipkgdiff --help" gives following error:
Traceback (most recent call last):
  File "/usr/bin/fedabipkgdiff", line 35, in <module>
    import xdg.BaseDirectory
ImportError: No module named xdg.BaseDirectory

Looking into spec file, it seems we need to add pyxdg in Requires section.

Version-Release number of selected component (if applicable):
1.0-0.8.rc5.3.fc24

Comment 1 Dodji Seketeli 2016-08-29 11:11:01 UTC
Created attachment 1195331 [details]
Add missing dependencies

Patch originally filed by Chenxiong Qi

Comment 2 Dodji Seketeli 2016-08-29 11:12:37 UTC
(In reply to Dodji Seketeli from comment #1)
> Created attachment 1195331 [details]
> Add missing dependencies
> 
> Patch originally filed by Chenxiong Qi

This patch was originally filed at https://sourceware.org/bugzilla/show_bug.cgi?id=20356

Comment 3 Dodji Seketeli 2016-08-29 11:19:02 UTC
Comment on attachment 1195331 [details]
Add missing dependencies

I have reviewed this patch and it looks good.

I have amended it to bump the revision of the package and add an RPM ChangeLog entry.

What I have committed is at http://pkgs.fedoraproject.org/cgit/rpms/libabigail.git/commit/?id=9e71dd557103683576955c6f29b0059cf8e8f1be

Comment 4 Dodji Seketeli 2016-08-30 06:57:34 UTC
So, the Rawhide build with the fix is at http://koji.fedoraproject.org/koji/buildinfo?buildID=795362.

I'll backport the fix to stable packages a little bit later.

Thanks.

Comment 5 Fedora Update System 2016-11-24 22:32:29 UTC
libabigail-1.0-0.8.rc6.1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-12a5bf3b2f

Comment 6 Fedora Update System 2016-11-24 22:32:55 UTC
libabigail-1.0-0.8.rc6.1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fdd3dbb2ec

Comment 7 Fedora Update System 2016-11-24 22:33:26 UTC
libabigail-1.0-0.8.rc6.1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-deecf4e93c

Comment 8 Fedora Update System 2016-11-24 22:33:47 UTC
libabigail-1.0-0.8.rc6.1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9ce1e5e0c5

Comment 9 Fedora Update System 2016-11-24 22:34:24 UTC
libabigail-1.0-0.8.rc6.1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8119b03e9d

Comment 10 Fedora Update System 2016-11-26 16:56:11 UTC
libabigail-1.0-0.8.rc6.2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-361dade800

Comment 11 Fedora Update System 2016-11-26 16:56:34 UTC
libabigail-1.0-0.8.rc6.2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-78b2256e5f

Comment 12 Fedora Update System 2016-11-26 16:56:57 UTC
libabigail-1.0-0.8.rc6.2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ac91fc5fa

Comment 13 Fedora Update System 2016-11-26 16:57:20 UTC
libabigail-1.0-0.8.rc6.2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5e00ace895

Comment 14 Fedora Update System 2016-11-26 16:57:46 UTC
libabigail-1.0-0.8.rc6.2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6a6b26780d

Comment 15 Fedora Update System 2016-11-27 08:48:20 UTC
libabigail-1.0-0.8.rc6.2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6a6b26780d

Comment 16 Fedora Update System 2016-11-27 16:25:43 UTC
libabigail-1.0-0.8.rc6.2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5e00ace895

Comment 17 Fedora Update System 2016-11-27 17:27:01 UTC
libabigail-1.0-0.8.rc6.2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5ac91fc5fa

Comment 18 Fedora Update System 2016-11-27 23:00:13 UTC
libabigail-1.0-0.8.rc6.2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-361dade800

Comment 19 Fedora Update System 2016-11-28 01:56:35 UTC
libabigail-1.0-0.8.rc6.2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-78b2256e5f

Comment 20 Fedora Update System 2016-12-05 12:13:48 UTC
libabigail-1.0-0.8.rc6.3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b92370e33c

Comment 21 Fedora Update System 2016-12-05 12:14:10 UTC
libabigail-1.0-0.8.rc6.3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9c3004560

Comment 22 Fedora Update System 2016-12-05 12:14:45 UTC
libabigail-1.0-0.8.rc6.3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d9cb438e37

Comment 23 Fedora Update System 2016-12-05 12:14:55 UTC
libabigail-1.0-0.8.rc6.3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f1deb3b732

Comment 24 Fedora Update System 2016-12-05 12:15:35 UTC
libabigail-1.0-0.8.rc6.3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7b13bf50cd

Comment 25 Fedora Update System 2016-12-06 03:25:20 UTC
libabigail-1.0-0.8.rc6.3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b92370e33c

Comment 26 Fedora Update System 2016-12-06 03:57:04 UTC
libabigail-1.0-0.8.rc6.3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d9cb438e37

Comment 27 Fedora Update System 2016-12-06 04:00:25 UTC
libabigail-1.0-0.8.rc6.3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f9c3004560

Comment 28 Fedora Update System 2016-12-06 04:17:49 UTC
libabigail-1.0-0.8.rc6.3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7b13bf50cd

Comment 29 Fedora Update System 2016-12-06 04:21:12 UTC
libabigail-1.0-0.8.rc6.3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f1deb3b732

Comment 30 Fedora Update System 2016-12-09 06:57:55 UTC
libabigail-1.0-0.8.rc6.4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f6a8e8033f

Comment 31 Fedora Update System 2016-12-09 06:58:13 UTC
libabigail-1.0-0.8.rc6.4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9a2dc0bb19

Comment 32 Fedora Update System 2016-12-09 06:58:26 UTC
libabigail-1.0-0.8.rc6.4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1722c27046

Comment 33 Fedora Update System 2016-12-09 06:58:42 UTC
libabigail-1.0-0.8.rc6.4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-39c420d21d

Comment 34 Fedora Update System 2016-12-09 06:59:10 UTC
libabigail-1.0-0.8.rc6.4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-25898c5006

Comment 35 Fedora Update System 2016-12-10 03:52:58 UTC
libabigail-1.0-0.8.rc6.4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1722c27046

Comment 36 Fedora Update System 2016-12-10 03:57:07 UTC
libabigail-1.0-0.8.rc6.4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f6a8e8033f

Comment 37 Fedora Update System 2016-12-10 04:28:50 UTC
libabigail-1.0-0.8.rc6.4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9a2dc0bb19

Comment 38 Fedora Update System 2016-12-10 05:47:12 UTC
libabigail-1.0-0.8.rc6.4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-25898c5006

Comment 39 Fedora Update System 2016-12-10 05:53:48 UTC
libabigail-1.0-0.8.rc6.4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-39c420d21d

Comment 40 Fedora Update System 2016-12-19 01:25:24 UTC
libabigail-1.0-0.8.rc6.4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 41 Fedora Update System 2016-12-19 06:02:17 UTC
libabigail-1.0-0.8.rc6.4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 42 Fedora Update System 2016-12-19 07:52:34 UTC
libabigail-1.0-0.8.rc6.4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2016-12-25 05:47:54 UTC
libabigail-1.0-0.8.rc6.4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 44 Fedora Update System 2016-12-25 05:49:56 UTC
libabigail-1.0-0.8.rc6.4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.